# Choose what to work on

The best place to start is with something that personally affects you: for example, a small bug or glitch in a piece of KDE software that you use, or an idea you have for a new feature.

The personal angle will impart more motivation to get started, push through challenges, and finish your contribution to KDE. This isn't a requirement, but it's a strong indicator that you'll be able to complete the task as a brand new KDE contributor.

If everything works great for you, here are some other ideas for starting points:

* Improve awkwardly-worded messages and labels that are written in English. This is a great way for non-programmers to contribute! If you can compile software and have a good grasp of English, you can make a big difference here.
* Work on Junior Jobs, which are small tasks that are suitable for beginners (both bugs and features). You can find them available both on [Bugzilla](https://bugs.kde.org/buglist.cgi?bug_status=UNCONFIRMED\&bug_status=CONFIRMED\&bug_status=NEW\&bug_status=ASSIGNED\&bug_status=REOPENED\&keywords=junior-jobs\&list_id=1340815) and [Gitlab](https://invent.kde.org/dashboard/issues?sort=created_date\&state=opened\&label_name%5B%5D=Junior+Job).
* Work on [bugs related to](https://bugs.kde.org/buglist.cgi?bug_status=UNCONFIRMED\&bug_status=CONFIRMED\&bug_status=ASSIGNED\&bug_status=REOPENED\&keywords=usability\&keywords_type=allwords\&list_id=1493316\&order=product%2Cchangeddate%20DESC%2Cbug_status%20DESC%2Cresolution%2Cpriority%2Cassigned_to%2Cbug_id\&query_format=advanced) KDE's [Usability & Productivity initiative](https://community.kde.org/Goals/Usability_%26_Productivity), many of which are small and easy.
* Work on [15 minute bugs](https://bugs.kde.org/buglist.cgi?bug_severity=critical\&bug_severity=grave\&bug_severity=major\&bug_severity=crash\&bug_severity=normal\&bug_severity=minor\&bug_severity=task\&bug_status=UNCONFIRMED\&bug_status=CONFIRMED\&bug_status=ASSIGNED\&bug_status=REOPENED\&known_name=VHI-priority%20Plasma%20bugs\&list_id=2605943\&priority=HI\&product=Bluedevil\&product=Breeze\&product=Discover\&product=drkonqi\&product=frameworks-plasma\&product=kactivitymanagerd\&product=kde-gtk-config\&product=kdeplasma-addons\&product=khelpcenter\&product=kinfocenter\&product=klipper\&product=kmenuedit\&product=krunner\&product=KScreen\&product=kscreenlocker\&product=ksmserver\&product=ksysguard\&product=KSystemLog\&product=kwayland-integration\&product=kwin\&product=Plasma%20SDK\&product=Plasma%20Vault\&product=Plasma%20Workspace%20Wallpapers\&product=plasma-disks\&product=plasma-integration\&product=plasma-nm\&product=plasma-pa\&product=plasma-simplemenu\&product=plasma-systemmonitor\&product=plasmashell\&product=policykit-kde-agent-1\&product=Powerdevil\&product=print-manager\&product=printer-applet\&product=pulseaudio-qt\&product=systemsettings\&product=xdg-desktop-portal-kde\&query_based_on=VHI-priority%20Plasma%20bugs\&query_format=advanced), bugs that can be found within 15 minutes of using Plasma.

There are many other lists of issues you can take a look at:

* The Usability and Productivity goal wiki page mentioned before has its own [list of easy bugs](https://community.kde.org/Goals/Usability_%26_Productivity#How_you_can_help) you can tackle.
* The [Bug Triaging team](https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging) has [many search queries](https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging#Decide_what_to_work_on) that can be useful to search for bugs.
* The [Gardening team](https://community.kde.org/Gardening) has a [stale merge requests list](https://invent.kde.org/dashboard/merge_requests?draft=no\&not%5Blabel_name%5D%5B%5D=Gardening%3A+Stale\&scope=all\&sort=updated_asc\&state=opened) full of old merge requests with interesting but unfinished ideas. You can ask their developers if it's okay to take over the work on them.
* The [list of app ideas](https://community.kde.org/App_ideas) is a good entrypoint if you are looking to make a new KDE application from scratch.

Try not to start out by proposing or working on major features or significant design changes. These can be controversial, and the smoothest way to get going is by working on relatively non-controversial bugfixes. Start slowly and build trust!

Once you've got a general idea about what you want to work on, you can \[get in touch with the existing developers]\({{< ref "help-developers" >}}) and they can help you out by pointing you to the right place in the code and providing advice about how to tackle the problem.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.novaflowos.com/start/kde-developer-platform/readme/getting-started/building/index-2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
